    NOLIST
;
;   File =   16C84Reg.h
;
; EQUates for Special Function Registers
;
;
INDF            EQU     00
IND            	EQU     00
TMR0            EQU     01
PCL0            EQU     02
PCL             EQU     02
STATUS          EQU     03
FSR             EQU     04
PORTA           EQU     05
PORTB           EQU     06
PORT_A          EQU     05
PORT_B          EQU     06
PCLATH          EQU     0A
INTCON		EQU	0B

OPTION_R        EQU     81
PCL1            EQU     82
FSR1            EQU     84
TRISA           EQU     85
TRISB           EQU     86

EEDATA   	equ     0x08            ; EEPROM data register
EEADRES  	equ     0x09            ; EEPROM adres register
EECON1   	equ     0x08            ; EEPROM 1. control registeri
EECON2   	equ     0x09            ; EEPROM 2. control registeri
RD       	equ     0               ; EEPROM read  control bit
WR       	equ     1               ; EEPROM write control bit
WREN     	equ     2               ; EEPROM write enable bit
WRERR    	equ     3               ; EEPROM write error flag bit
EEIF     	equ     4               ; EEPROM write compl. bit must be reset in S/W
EEIE     	equ     6               ; EEPROM write interrupt enable bit of INTCON
;**********************************************
;************   Bit Deffinitions   ************
;**********************************************
;
; STATUS register (Address 03/83)
;
IRP             EQU     7
RP1             EQU     6
RP0             EQU     5
TO              EQU     4
PD              EQU     3
Z               EQU     2
DC              EQU     1
C               EQU     0
;
; INTCON register (Address 0B/8B)
;
GIE             EQU     7
EEIE            EQU     6
T0IE            EQU     5
INTE            EQU     4
RBIE            EQU     3
T0IF            EQU     2
INTF            EQU     1
RBIF            EQU     0
;
; OPTION register (Address 81)
;
RBPU            EQU     7
INTEDG          EQU     6
T0CS            EQU     5
T0SE            EQU     4
PSA             EQU     3
PS2             EQU     2
PS1             EQU     1
PS0             EQU     0

;***********************************************
;**** Bits for destination control
;****    W = W register is destination
;****    F = File register is destination
;***********************************************
;
W		EQU	0
F		EQU	1
;
FALSE		EQU	0
TRUE		EQU	1

    LIST
